Incidencia #44525

--with-localedir

Abrir Fecha: 2022-05-07 00:54 Última actualización: 2022-06-13 13:49

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

To support relocatable freeciv builds on platforms other than Windows (where that support has been hardcoded), we should add configure option --with-localedir that can be used to set runtime locale path -> one can set it to a relative one.

Main motivation for this is ddeanbrown's new macOS packaging plans. Going autotools first (this ticket) for having support also in S3_0.

Ticket History (3/6 Histories)

2022-05-07 00:54 Updated by: cazfi
  • New Ticket "--with-localedir" created
2022-05-29 00:51 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-01 11:33 Updated by: cazfi
Comentario

It seems that nobody would need this (already) in 3.0.2. For the risk that it brings a regression to the build system, I'd rather not push it in at this point of the cycle. (I'm not so worried that it would break 3.0.2 after passing final build tests, but that if it does not pass those tests, it will end delaying 3.0.2 release. With the limited time slots I have for making the release, I'd rather avoid more rescheduling)

2022-06-13 06:52 Updated by: cazfi
Comentario

Reply To cazfi

Going autotools first (this ticket)

Meson -> #44814

2022-06-13 13:49 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar